Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
kmail pop3 broken after kdepimlibs-update
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
tomtom69
Apprentice
Apprentice


Joined: 09 Nov 2010
Posts: 193
Location: Bavaria

PostPosted: Sun Jun 12, 2016 5:32 pm    Post subject: kmail pop3 broken after kdepimlibs-update Reply with quote

Hi,

after today's update kmail is not able to get new emails via POP3 (IMAP still works). It just says "internal error in kmail" followed by the name of the POP3 server when it should fetch mails and suggests to file a bug. But even when I use kmail from the command line kmail does not give more information about what is going wrong. I also could not find any log files with more information, it's just the "internal error", which is a little few information for filing a bug.
I could identify the update of kde-apps/kdepimlibs-4.14.11_pre20160211 to cause this problem. For now I masked this version of kdepimlibs and kmail works again as expected.
Does anybody else see this error message?
I checked with two different systems: kde4 and plasma (clean test user) and both show the same error message.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6825
Location: Austria

PostPosted: Sun Jun 12, 2016 6:16 pm    Post subject: Reply with quote

Unfortunately don't have POP3 to test, but there's been more than just kdepimlibs for update - I hope it was not the only PIM package coming up?
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
tomtom69
Apprentice
Apprentice


Joined: 09 Nov 2010
Posts: 193
Location: Bavaria

PostPosted: Sun Jun 12, 2016 6:28 pm    Post subject: Reply with quote

Yes there were several updates, especially PIM related, including kmail, knode, akonadi-server, kdepimlibs. After updating all of them (update world) kmail did not work anymore with POP3 accounts.
I tried to downgrade the packages I suspected to cause the problem, and now I ended up in having everything updated to current/stable (amd64) except kdepimlibs. As soon as I update kdepimlibs I get the error message. Downgrading kdepimlibs makes everything work again. So I put the current kdepimlibs into package.mask to have a working kmail (critical infrastructure ;-) )
Tried this on kde4 and plasma with the same result, so I suspect kdepimlibs update breaks pop3 with kmail (at least here).
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6825
Location: Austria

PostPosted: Sun Jun 12, 2016 7:51 pm    Post subject: Reply with quote

There is exactly one pop3 kioslave commit in that snapshot when compared to 4.14.10, if you have some time and cpu cycles to spare, could you test the following revert against kdepimlibs?

https://paste.kde.org/pcc0bi8nm
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
tomtom69
Apprentice
Apprentice


Joined: 09 Nov 2010
Posts: 193
Location: Bavaria

PostPosted: Mon Jun 13, 2016 4:44 pm    Post subject: Reply with quote

Surely there is time to check this.
I applied the patch (created a file /etc/portage/patches/kde-apps/kdepimlibs-4.14.11_pre20160211/kdepimlibs_pop3.patch with the patch) and re-compiled the new kdepimlibs.
Now everything works again as expected :-)
Thank you - I never would have found this.
Because there is already a patch I assume the issue is known and solved upstream.
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6825
Location: Austria

PostPosted: Mon Jun 13, 2016 5:54 pm    Post subject: Reply with quote

No, I just picked the first (and only!) pop3 related commit I could find and used git revert :lol:

Glad that fixed it! I've updated the related patch review @upstream.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6825
Location: Austria

PostPosted: Tue Jun 14, 2016 7:41 pm    Post subject: Reply with quote

For the record, you also updated to kdepim-runtime-4.14.11_pre20160211 (together with all the other stable PIM upgrades)? The issue persisted after starting a new session?
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
tomtom69
Apprentice
Apprentice


Joined: 09 Nov 2010
Posts: 193
Location: Bavaria

PostPosted: Wed Jun 15, 2016 5:47 am    Post subject: Reply with quote

kdepim-runtime is not installed on my system.
When I try to emerge it I get
Code:

# emerge -p kdepim-runtime

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    #] kde-apps/kdepim-runtime-4.14.11_pre20160211  USE="(-aqua) -debug -google -kolab"

The following mask changes are necessary to proceed:
 (see "package.unmask" in the portage(5) man page for more details)
# required by kdepim-runtime (argument)
# /etc/portage/package.mask/mask_1:
#>=app-office/akonadi-server-1.12.0
#systemd weg
#sys-apps/systemd
#sys-power/upower
#sys-apps/gentoo-systemd-integration
=kde-apps/kdepim-runtime-4.14.11_pre20160211

NOTE: The --autounmask-keep-masks option will prevent emerge
      from creating package.unmask or ** keyword changes.
#

I think thie is due to the package.mask entries for kmail2:
Code:

>=kde-base/kdepim-runtime-4.5.50
Back to top
View user's profile Send private message
asturm
Developer
Developer


Joined: 05 Apr 2007
Posts: 6825
Location: Austria

PostPosted: Wed Jun 15, 2016 7:05 am    Post subject: Reply with quote

...that would have been some vital information from the get-go. It seems indeed that latest kdepimlibs breaks old kmail1.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
tomtom69
Apprentice
Apprentice


Joined: 09 Nov 2010
Posts: 193
Location: Bavaria

PostPosted: Wed Jun 15, 2016 8:17 am    Post subject: Reply with quote

you are right. I totally forgot to mention this. Sorry...
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum